/**
 * 
 */
package tutorialhibernate;

import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.cfg.Configuration;


/**
 * @author vitor
 *
 */
public final class HibernateUtil {
	/** Fábrica de sessões. */
	private static SessionFactory sessionFactory;
	
	/** Obtém a fábrica de sessões. */
	private static SessionFactory getSessionFactory() {
		if (sessionFactory == null) sessionFactory = new Configuration().configure().buildSessionFactory();
		return sessionFactory;
	}
	
	/** Obtém uma sessão. */
	public static Session openSession() {
		return getSessionFactory().openSession();
	}
}
