/**
 * 
 */
package tutorialhibernate;

import org.hibernate.Session;
import org.hibernate.Transaction;

import tutorialhibernate.dominio.Artista;

public class TesteInsercao {
	public static void main(String[] args) throws Exception {
		// Cria o objeto.
		Artista artista = new Artista();
		artista.setNome("Red Hot Chilli Peppers");
		artista.setBanda(true);
		artista.setPais("EUA");

		// Obtém uma sessão.
		Session session = HibernateUtil.openSession();

		// Salva-o no banco de dados com Hibernate.
		Transaction tx = session.beginTransaction();
		session.save(artista);
		tx.commit();
		session.close();
		
		System.out.println("OK!");
	}

}
