/**
 * 
 */
package tutorialhibernate;

import org.hibernate.Session;
import org.hibernate.Transaction;

import tutorialhibernate.dominio.Artista;

public class TesteConsulta {
	public static void main(String[] args) throws Exception {
		// Obtém uma sessão.
		Session session = HibernateUtil.openSession();
		
		// Recupera um artista pelo id.
		Transaction tx = session.beginTransaction();
		Artista artista = (Artista)session.load(Artista.class, new Long(1));
		
		// Imprime e encerra.
		System.out.println("Recuperado: " + artista.getNome());
		tx.commit();
		session.close();
	}

}
