/**
 * 
 */
package tutorialhibernate;

import java.util.List;

import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.Transaction;

import tutorialhibernate.dominio.Artista;

/**
 * @author vitor
 *
 */
public class TesteHQL {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws Exception {
		// Obtém uma sessão.
		Session session = HibernateUtil.openSession();
		Transaction tx = session.beginTransaction();
		
		// Recupera todos os artistas brasileiros.
		Query query = session.createQuery("from Artista a where a.pais = :pais");
		query.setString("pais", "Brasil");
		List list = query.list();
		
		System.out.println("Artistas brasileiros: ");
		for (Object o : list) {
			Artista a = (Artista)o;
			System.out.println(a.getNome());
		}
		
		tx.commit();
		session.close();
	}

}
